Skip to main content

Remove

Endpoint​

DELETE /api/v1/secrets/:engine/:type/:org/:name/:secret

Parameters​

The following parameters are used to configure the endpoint:

NameDescription
enginename of engine
typename of type of secret
orgname of organization
namename of repository or team
secretname of secret

Permissions​

COMING SOON!

Responses​

Status CodeDescription
200indicates the request has succeeded
401indicates the user does not have proper permissions

Sample​

warning

This section assumes you already know how to authenticate to the API.

To authenticate to the API, please review the authentication documentation.

Request​

curl \
-X DELETE \
-H "Authorization: Bearer <token>" \
"http://127.0.0.1:8080/api/v1/secrets/native/repo/github/octocat/foo"

Response​

Secret repo/github/octocat/foo deleted from native service